#php 4.3.2 doesn't allow to use openssl shared
%define _openssl_shared 1
%define XML_RPC_VERSION 1.2.2

Summary: The PHP HTML-embedded scripting language for use with Apache.
Name: php
Version: 5.2.4
Release: 1tr
Group: Trustix Official
Source0: http://www.php.net/distributions/php-%{version}.tar.bz2
Source1: php.ini
Source2: php-httpd.conf
Source3: php-cli.ini
Source4: httpd-php-fcgi.conf
License: PHP
BuildRoot: /var/tmp/%{name}-root
Requires: webserver, gmp, openssl, bzip2, zlib, rpm >= 3.0.6, db4
Requires: php-pear
Obsoletes: mod_php3
BuildRequires: apache-devel >= 2
BuildRequires: postgresql-devel, mysql-devel, uw-imap-devel, openldap-devel
BuildRequires: zlib-devel, gmp-devel, flex, bzip2-devel
BuildRequires: cyrus-imapd-devel, libpng-devel, libjpeg-devel, gd-devel, libxml2-devel 
BuildRequires: cyrus-sasl-devel, readline-devel, db4-devel, mhash-devel, freetype
BuildRequires: freetype-devel ncurses-devel bison byacc
BuildRequires: rpm-build >= 4.0.4-22gd, curl-devel expat-devel freetds-devel
BuildRequires: libmcrypt-devel sqlite2-devel sqlite3-devel openssl-devel gcc-c++-devel
Provides: php = %{version}
%if !%{_openssl_shared}
Obsoletes: mod_php4-openssl
%endif
Provides: mod_php4 mod_php4-domxml
Obsoletes: mod_php4 mod_php4-test mod_php4-domxml

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

%package cli 
Summary: CLI/PHP support
Group: Trustix Official
Requires: %{name}, db4
Provides: mod_php4-cli
Obsoletes: mod_php4-cli


%description cli 
This package contains a standalone PHP binary. 

The CLI (command line interface) SAPI has been introduced
with a goal of making PHP better at supporting the creation of 
stand alone applications.

%package curl
Summary: curl/PHP support
Group: Trustix Official
Requires: %{name} curl

%description curl
Curl support module for PHP

Uncomment "extension=curl.so" in order to activate this module

%if %{_openssl_shared}
%package openssl 
Summary: OpenSSL/PHP support
Group: Trustix Official
Requires: %{name}
Provides: mod_php4-openssl
Obsoletes: mod_php4-openssl

%description openssl 
OpenSSL support module for PHP

Uncomment "extension=openssl.so" in order to activate this module
%endif

%package exif
Summary: Exif/PHP support
Group: Trustix Official
Requires: %{name}
Provides: mod_php4-exif
Obsoletes: mod_php4-exif


%description exif 
EXIF support module for PHP

Uncomment "extension=exif.so" in order to activate this module

%package gd
Summary: GD/PHP support
Group: Trustix Official
Requires: %{name}
Provides: mod_php4-gd
Obsoletes: mod_php4-gd

%description gd 
GD support module for PHP

Uncomment "extension=gd.so" in order to activate this module

%package imap
Summary: IMAP/PHP support
Group: Trustix Official
BuildRequires: uw-imap-devel openssl-devel
Requires: openssl %{name}
Provides: mod_php4-imap
Obsoletes: mod_php4-imap

%description imap
IMAP support module for PHP

Uncomment "extension=imap.so" in order to activate this module

%package ldap
Summary: LDAP/PHP support
Group: Trustix Official
Requires: openldap %{name}
BuildRequires: openldap-devel 
Provides: mod_php4-ldap
Obsoletes: mod_php4-ldap

%description ldap
LDAP support module for PHP

Uncomment "extension=ldap.so" in order to activate this module

%package mysql
Summary: MySQL/PHP support
Group: Trustix Official
Requires: mysql-libs zlib %{name}
Provides: mod_php4-mysql
Obsoletes: mod_php4-mysql

%description mysql
MySQL support module for PHP

Uncomment "extension=mysql.so" in order to activate this module

%package mysqli
Summary: Improved MySQL/PHP support
Group: Trustix Official
Requires: mysql-libs zlib %{name}

%description mysqli
Improved MySQL support module for PHP

Uncomment "extension=mysqli.so" in order to activate this module

%package zlib
Summary: Zlib PHP extension
Group: Trustix Official
Requires: zlib %{name}

%description zlib
Zlib support for PHP

Uncomment "extension=zlib.so" in order to activate this module

%package pgsql
Summary: PostgreSQL/PHP support
Group: Trustix Official
Requires: postgresql-libs %{name}
Provides: mod_php4-pgsql
Obsoletes: mod_php4-pgsql

%description pgsql
PostgreSQL support module for PHP

Uncomment "extension=pgsql.so" in order to activate this module

%package devel
Summary: PHP C/C++ development
Group: Trustix Official
Provides: mod_php4-devel
Obsoletes: mod_php4-devel

%description devel
PHP 4 C/C++ development environment

%package mhash
Summary: A module for PHP applications that use Mhash.
Group: Trustix Official
Requires: mhash-devel php = %{version}-%{release}

%description mhash
The php-mhash package is a dynamic shared object (DSO) for the Apache
Web server that adds Mhash support to PHP.

%package fcgi
Summary: PHP as FastCGI program
Group: Trustix Official
Requires: %{name} mod_fastcgi

%description fcgi
PHP as FastCGI program
Please refer to /usr/share/doc/%{name}-%{version}/README.FastCGI for
information on how to use this module.

%package mcrypt
Summary: A module for PHP applications that use mcrypt.
Group: Trustix Official
Requires: libmcrypt php = %{version}-%{release}

%description mcrypt
The php-mcrypt package is a dynamic shared object (DSO) for the Apache
Web server that adds mcrypt support to PHP.

%package pdo-mysql
Summary: MySQL Interface driver for PDO.
Group: Trustix Official
Requires: mysql-libs zlib php = %{version}-%{release}

%description pdo-mysql
The php-pdo-mysql package is a driver that implements the PHP Data
Objects (PDO) interface to enable access from PHP to MySQL databases.

%package pdo-sqlite
Summary: Sqlite Interface driver for PDO.
Group: Trustix Official
Requires: sqlite3 php = %{version}-%{release}

%description pdo-sqlite
The php-pdo-sqlite package is a driver that implements the PHP Data
Objects (PDO) interface to enable access from PHP to Sqlite databases.

%package sqlite
Summary: A module for PHP applications that use sqlite.
Group: Trustix Official
Requires: sqlite2  php = %{version}-%{release}

%description sqlite
The php-sqlite package is a dynamic shared object (DSO) for the Apache
Web server that adds sqlite support to PHP.

%package mssql
Summary: MSSQL/PHP support
Group: Trustix Official
Requires: freetds %{name}
                                                                                                                             
%description mssql
MSSQL support module for PHP
                                                                                                                             
Uncomment "extension=mssql.so" in order to activate this module

%prep
%setup -q

%build
for i in fcgi apxs; do
mkdir build-$i; pushd build-$i
mkdir -p ext/sqlite/ && cp -rf ../ext/sqlite/libsqlite/ ext/sqlite/
CFLAGS="$RPM_OPT_FLAGS" ../configure --prefix=/usr \
        `[ $i = apxs ] && echo --with-apxs2=/usr/sbin/apxs` \
	--with-config-file-path=/etc/httpd \
        --sysconfdir=/etc/httpd \
	--with-regex=php \
	--with-exec-dir=/usr/bin \
        --mandir=%{_mandir} \
	--enable-safe-mode \
	--enable-dba \
	--with-db4 \
        --enable-bcmath \
        `[ $i = fcgi ] && echo --enable-force-cgi-redirect --enable-fastcgi` \
        --enable-debugger \
        --enable-magic-quotes \
        --enable-track-vars \
	--enable-memory-limit \
	--enable-ftp \
        --enable-dom \
	--enable-mbstring \
        --enable-soap \
	--enable-libxml=/usr \
	--enable-exif=shared,/usr \
	--disable-debug \
	--disable-rpath \
	--enable-sockets \
	--with-bz2 \
	--with-curl=shared,/usr \
        --without-pear \
	--with-readline \
	--with-gmp \
	--with-imap-ssl \
	--with-gd=shared,/usr \
	--with-jpeg-dir=/usr \
	--with-png-dir=/usr \
	--with-tiff-dir=/usr \
	--with-imap=shared,/usr \
	--with-ldap=shared,/usr \
	--with-freetype-dir=/usr \
	--enable-gd-native-ttf \
	--with-ttf=/usr \
	--with-mysql=shared,/usr \
        --with-mhash=shared,/usr \
	--with-mysqli=shared,/usr/bin/mysql_config \
	--with-pgsql=shared,/usr \
        --with-zlib=shared,/usr \
%if %{_openssl_shared}
	--with-openssl=shared,/usr \
%else
	--with-openssl=/usr \
%endif
	--with-dom=shared,/usr \
        --with-gettext \
	--enable-pcntl \
	--with-pdo-mysql=shared,/usr \
        --with-pdo-sqlite=shared,/usr \
        --with-sqlite=shared,/usr \
        --enable-sqlite-utf8 \
	--with-mcrypt=shared,/usr \
	--with-mssql=shared,/usr

make
popd
done
cp -r sapi/cgi sapi/fcgi
rm -rf sapi/cgi/.libs sapi/cgi/*.lo

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/share/php/

#ugly hack, apxs pretends on changing the httpd.conf, so
#we give it a minimalistic one :)
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
cat <<EOF >$RPM_BUILD_ROOT/etc/httpd/conf/httpd.conf

LoadModule
EOF

# Install everything from the CGI SAPI build
pushd build-fcgi

make install INSTALL_ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/home/httpd/cgi-bin
mv $RPM_BUILD_ROOT%{_bindir}/php $RPM_BUILD_ROOT/home/httpd/cgi-bin/php-fcgi
strip modules/*.so

# Install the CLI SAPI as /usr/bin/php
make install-cli INSTALL_ROOT=$RPM_BUILD_ROOT

# Wonder why these are located here
rm -rf $RPM_BUILD_ROOT/usr/lib/php/extensions
rm -rf $RPM_BUILD_ROOT/usr/lib/php/.??*

# Not to mention why this ended up here
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}

mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/httpd/conf.d/httpd-php-fcgi.conf

popd

# Install the Apache module
pushd build-apxs

make install-sapi INSTALL_ROOT=$RPM_BUILD_ROOT

# now we don't need our fake httpd.conf anymore
rm -rf $RPM_BUILD_ROOT/etc/httpd/conf
strip modules/*.so
cp modules/*.so $RPM_BUILD_ROOT/usr/share/php/

mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/php.ini
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/httpd/conf.d/httpd-php.conf
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/httpd/php-cli.ini

popd

# copy readme for FastCGI
cp -rf sapi/cgi/README.FastCGI $RPM_BUILD_DIR/%{name}-%{version}/README.FastCGI

install -m 644 ext/mbstring/*.h $RPM_BUILD_ROOT/usr/include/php/ext/mbstring/

install -m 755 -d $RPM_BUILD_ROOT%{_includedir}/php/ext/mbstring/libmbfl/mbfl/
install -m 644 ext/mbstring/libmbfl/mbfl/*.h \
		$RPM_BUILD_ROOT%{_includedir}/php/ext/mbstring/libmbfl/mbfl/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
%config(noreplace) /etc/httpd/php.ini
%config(noreplace) /etc/httpd/conf.d/httpd-php.conf
%doc CODING_STANDARDS CREDITS EXTENSIONS INSTALL LICENSE NEWS
%doc README.EXTENSIONS README.EXT_SKEL README.PARAMETER_PARSING_API
%doc README.SELF-CONTAINED-EXTENSIONS README.STREAMS README.SUBMITTING_PATCH
%doc README.TESTING README.UNIX-BUILD-SYSTEM TODO TODO-5.1 TODO-PHP5 README.FastCGI
/usr/bin/php-cgi
/usr/bin/php-config
/usr/bin/phpize
/usr/lib/apache/*.so
%dir /usr/lib/php
%dir /usr/share/php

%files gd
%defattr(-,root,root,0755)
/usr/share/php/gd.so

%files cli
%defattr(-,root,root,0755)
/usr/bin/php
%config(noreplace) /etc/httpd/php-cli.ini
%{_mandir}/man1/*

%files fcgi
%defattr(-,root,root,0755)
%config(noreplace) /etc/httpd/conf.d/httpd-php-fcgi.conf
/home/httpd/cgi-bin/php-fcgi

%files exif 
%defattr(-,root,root,0755)
/usr/share/php/exif.so

%files curl
%defattr(-,root,root,0755)
/usr/share/php/curl.so

%if %{_openssl_shared}
%files openssl
%defattr(-,root,root,0755)
/usr/share/php/openssl.so
%endif

%files imap
%defattr(-,root,root,0755)
/usr/share/php/imap.so

%files ldap
%defattr(-,root,root,0755)
/usr/share/php/ldap.so

%files mysql
%defattr(-,root,root,0755)
/usr/share/php/mysql.so

%files mysqli
%defattr(-,root,root,0755)
/usr/share/php/mysqli.so

%files zlib
%defattr(-,root,root,0755)
/usr/share/php/zlib.so

%files pgsql
%defattr(-,root,root,0755)
/usr/share/php/pgsql.so

%files devel
%defattr(-,root,root,0755)
/usr/include/php
/usr/lib/php/build

%files mhash
%defattr(-,root,root,0755)
/usr/share/php/mhash.so

%files mcrypt
%defattr(-,root,root,0755)
/usr/share/php/mcrypt.so

%files pdo-mysql
%defattr(-,root,root,0755)
/usr/share/php/pdo_mysql.so

%files pdo-sqlite
%defattr(-,root,root,0755)
/usr/share/php/pdo_sqlite.so

%files sqlite
%defattr(-,root,root,0755)
/usr/share/php/sqlite.so

%files mssql
%defattr(-,root,root,0755)
/usr/share/php/mssql.so

%changelog
* Mon Sep 03 2007 Nived Gopalan <nived at trustix dot org> 5.2.4-1tr
- New Upstream.
- SECURITY Fix. Some vulnerabilities have been reported in PHP, where
  some have unknown impacts and others can be exploited by malicious
  users to bypass certain security restrictions (SA26642).
  Includes fixes for CVE-2007-3996, CVE-2007-3378 and CVE-2007-3997.

* Wed Jul 18 2007 Nived Gopalan <nived at trustix dot org> 5.2.3-1tr
- New Upstream.
- SECURITY Fix: Multiple security fixes.
- Fixes an integer overflow inside chunk_split().
- Fixes possible infinite loop in imagecreatefrompng.
- Fixes ext/filter Email Validation Vulnerability.
- Fixes an error in the "realpath()" function which allows bypassing
  of the "open_basedir" restriction and identifying the existence
  of files.

  The Common Vulnerabilities and Exposures project has assigned the
  names CVE-2007-2872, CVE-2007-2756, CVE-2007-1900 and CVE-2007-3007
  to these issues.

* Mon May 07 2007 Nived Gopalan <nived at trustix dot org> 5.2.2-1tr
- New Upstream.
- SECURITY Fix: Several vulnerabilities have been reported in PHP,
  where some have unknown impacts and others can be exploited by
  malicious users to manipulate certain data, disclose potentially
  sensitive information, bypass certain security restrictions,
  or to cause a DoS.(SA25123)

* Mon Feb 12 2007 Nived Gopalan <nived at trustix dot org> 5.2.1-1tr
- New Upstream.
- Multiple security fixes.

* Mon Nov 13 2006 Bipin S <bipin at trustix dot org> 5.2.0-2tr
- Enabled mssql support. Bug #1918.
- Added build-requires gcc-c++-devel Bug #2041.

* Fri Nov 03 2006 Nived Gopalan <nived at trustix dot org> 5.2.0-1tr
- New Upstream.
- SECURITY Fix: Some vulnerabilities have been reported in PHP,
  caused due to boundary errors within the "htmlentities()" and 
  "htmlspecialchars()" functions. If a PHP application uses these
  functions to process user-supplied input, this can be exploited
  to cause buffer overflows by passing specially crafted data to
  the affected application.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-5465 to this issue.

* Wed Nov 01 2006 Nived Gopalan <nived at trustix dot org> 5.1.6-4tr
- Added support for mcrypt, Bug #1956.
- Added support for pdo-sqlite, pdo-mysql and sqlite, Bug #1959.
- Included openssl support, Bug #1958.
- Added buildrequires expat-devel, Bug #2011.

* Wed Oct 11 2006 Nived Gopalan <nived at trustix dot org> 5.1.6-3tr
- SECURITY Fix: Maksymilian Arciemowicz has reported a vulnerability
  in PHP, caused due to an error within the "ini_restore()" function,
  which can be exploited to reset certain options to their default
  value specified in php.ini.

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-4625 to this issue.

* Fri Oct 06 2006 Nived Gopalan <nived at trustix dot org> 5.1.6-2tr
- SECURITY Fix: A vulnerability has been reported in PHP, caused due
  to an integer overflow within the "_ecalloc" function. This can
  potentially be exploited to execute arbitrary code via specially
  crafted requests if a PHP script allocates memory based on attacker
  supplied data. 

  The Common Vulnerabilities and Exposures project has assigned the
  name CVE-2006-4812 to this issue.

* Wed Sep 13 2006 Nived Gopalan <nived at trustix dot org> 5.1.6-1tr
- New Upstream.
- Added BuildRequires freetype-devel, ncurses-devel, 
  bison and byacc, Bug #1917.
- Included missing devel files, Bug #1923.

* Tue Aug 22 2006 Nived Gopalan <nived at trustix dot org> 5.1.5-1tr
- New Upstream
- SECURITY Fix: Added missing safe_mode/open_basedir checks inside the
  error_log(), file_exists(), imap_open() and imap_reopen() functions.
- Fixed overflows inside str_repeat() and wordwrap() functions on
  64bit systems.
- Fixed possible open_basedir/safe_mode bypass in cURL extension and
  with realpath cache.
- Fixed overflow in GD extension on invalid GIF images.
- Fixed a buffer overflow inside sscanf() function.
- Fixed an out of bounds read inside stripos() function.
- Fixed memory_limit restriction on 64 bit system.

* Wed Oct 17 2005 Bipin S <bipin at comodo dot com> 5.0.5-1tr
- New upstream.
- Upgraded PCRE library to version 5.0.
- Removed phpextdist from the file list.
- Security Fix: A vulnerability has been identified in PHP, which could be
  exploited by malicious users to bypass security policies. This flaw is
  due to an error in "fopen_wrappers.c" that does not properly restrict access
  to other directories when the "open_basedir" directive includes a trailing
  slash, which could allow certain scripts in a directory (e.g. "/user/test2/)
  to access files in other directories whose names are substrings of the original
  directory (e.g. "/user/test22/).

  The Common Vulnerabilities and Exposures project has assigned the
  name CAN-2005-3054 to this issue.

* Mon Aug 29 2005 Ajith Thampi <ajith at comodo dot com> 5.0.4-12tr
- Fix Integer overflow in pcre_compile.c which allows attackers to
  execute arbitrary code via quantifier values in regular expressions,
  which leads to a heap-based buffer overflow.

  The Common Vulnerabilities and Exposures project has assigned the
  name CAN-2005-2491 to this issue.

* Tue Aug 16 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 5.0.4-10tr
- Added FastCGI support Ref. Bug #1190
- Now Install missing pear packages, Bug #1185
- New Upstream of XML_RPC to fix broken PEAR installation, Bug #1185

* Tue Aug 09 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 5.0.4-9tr
- Added support for curl module.

* Thu Jul 14 2005 Nived Gopalan <nived at comodo dot com> 5.0.4-8tr
- Included php-cli.ini 

* Thu Jul 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 5.0.4-7tr
- Enabled support for Socket functions. Ref Bug #1042.

* Thu Jun 30 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 5.0.4-6tr
- Security Fix: PHP XML RPC's remote code execution vulnerability.
- GulfTech Security recently discovered a vulnerability in the PHP XML RPC
  that leads to remote code execution.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CAN-2005-1921 to this issue.

* Thu Jun  9 2005 Hasher J <hasher at comodo dot com> 5.0.4-5tr
- Added libxml2-devel, freetype, mhash-devel in buildrequires 
  Bug #877

* Thu May 26 2005 Raghu <raghu at comodo dot com> 5.0.4-4tr
- Added mhash support, Bug #748

* Thu Apr 28 2005 Ajith Thampi <ajith at comodo dot com> 5.0.4-3tr
- Added support for pcntl in CLI due to persistence , Bug #384

* Fri Apr 22 2005 Ajith Thampi <ajith at comodo dot com> 5.0.4-2tr
- Rebuilt with postgresql-8.0.2

* Mon Apr 04 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 5.0.4-1tr
- New Upstream

* Mon Feb 14 2005 Erlend Midttun <erlendbm at trustix dot org> 5.0.3-2tr
- Adding multibyte-support as requested.

* Fri Dec 17 2004 Erlend Midttun <erlendbm at trustix dot org> 5.0.3-1tr
- New upstream. Fixes more CAN's than I can remember

* Mon Dec 13 2004 Erlend Midttun <erlendbm at trustix dot org> 5.0.2-6tr
- Added freetype and ttf to gd.

* Sat Dec 11 2004 Erlend Midttun <erlendbm at trustix dot org> 5.0.2-5tr
- Added patch from Christian Hamar to add zlib support

* Sat Nov 13 2004 Erlend Midttun <erlendbm at trustix dot org> 5.0.2-4tr
- Now with soap support.

* Tue Nov  9 2004 Oystein Viggen <oysteivi at trustix dot com> 5.0.2-3tr
- Rebuild with shared openssl

* Sat Nov  6 2004 Erlend Midttun <erlendbm at trustix dot org> 5.0.2-2tr
- Now with extension-dir set to /usr/share/php

* Thu Oct 28 2004 Erlend Midttun <erlendbm at trustix dot org> 5.0.2-2tr
- Now with MySQLi support.

* Thu Oct 28 2004 Erlend Midttun <erlendbm at trustix dot org> 5.0.2-1tr
- New upstream.

* Sun Sep 19 2004 Erlend Midttun <erlendbm at trustix dot org> 5.0.1-3tr
- Try to get obsoletes and provides right.

* Mon Sep 13 2004 Erlend Midttun <erlendbm at trustix dot org> 5.0.1-2tr
- Now with v5 php.ini as well.

* Mon Sep 13 2004 Erlend Midttun <erlendbm at trustix dot org> 5.0.1-1tr
- New major upstream.

* Thu Jul 22 2004 Oystein Viggen <oysteivi at trustix dot com> 4.3.8-2tr
- New upstream.

* Fri Jun 18 2004 Chr. Toldnes <christht at trustix dot org> 4.3.7-1tr
- New upstream version: 4.3.7

* Sun Mar 14 2004 Chr. Toldnes <christht at trustix dot org> 4.3.4-8tr
- removed cyrus support, does not build with new cyrus.

* Mon Mar  1 2004 Erlend Midttun <erlendbm at trustix dot org> 4.3.4-6tr
- Added the missing extensions.

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 4.3.4-4tr
- Stricter defaults in php.ini.

* Wed Nov 19 2003 Tor Hveem <torh at trustix dot org> 4.3.4-3th
- Readd a BuildReq
- Renamed libpng12 Req to libpng
- Tried removing the _noVersionedDependencies hack

* Tue Nov 18 2003 Tor Hveem <torh at trustix dot org> 4.3.4-2th
- Rebuild for apache with LFS

* Wed Nov  5 2003 Gerald Dachs <gda at trustix dot org> 4.3.4-1gd
- New upstream version
- build requires rpm-build >= 4.0.4-22gd

* Tue Sep 16 2003 Tor Hveem <torh at trustix dot org> 4.3.3-1th
- New upstream
- Fixed docs and tests paths
- Fixed some bogus BuildReq's

* Fri Sep 12 2003 Gerald Dachs <gda at trustix dot org> 4.3.2-9gd
- enabled db4 support

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.2-8tr
- Added %defattr

* Sat Jun 21 2003 Gerald Dachs <gda at trustix dot org> 4.3.2-7gd
- Added --with-gettext
 
* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.2-6tr
- Big rebuild

* Wed Jun 11 2003 Gerald Dachs <gda at trustix dot org> 4.3.2-5gd
- buildrequries cyrus-sasl-devel, readline-devel

* Wed Jun 11 2003 Gerald Dachs <gda at trustix dot org> 4.3.2-4gd
- use --with-regex=php now, removed patch0

* Sat Jun  7 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.2-3em
- Fix file conflict on /usr/bin/php.

* Sun Jun  1 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.2-2em
- Removed libapr-devel

* Sat Jun  1 2003 Gerald Dachs <gda at trustix dot org> 4.3.2-1gd
- New upstream version.
- openssl linked static, because of bug in php
- hack for pleasing apxs with a fake httpd.conf
- made patch to allow to use --with-regex=system

* Wed May 28 2003 Gerald Dachs <gda at trustix dot org> 4.3.1-8gd
- Added package domxml

* Fri May 23 2003 Tor Hveem <torh at trustix dot org> 4.3.1-7th
- Missing BuildReq readline-devel, libpng-devel, libjpeg-devel, mysql-devel
- Added --with-cyrus
- Added package gd

* Thu May 15 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.1-6em
- Moved docs

* Wed Apr 30 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.1-5em
- Major cleanup.

* Wed Apr 30 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.1-4em
- mod_php4-pgsql requires postgresql-libs and not postgresql.

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.1-3em
- Rebuild against new mysql.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.1-2em
- Rebuilt against glibc 2.3.2.

* Thu Mar 20 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.1-1em
- New upstream version.

* Fri Feb 28 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.0-6em
- Fixed entension dir.

* Wed Feb 19 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.0-5em
- Added conf file.

* Sat Jan 18 2003 Gerald Dachs <gda at trustix dot org> 4.3.0-4gd
- rebuilt against openssl 0.9.7

* Sat Jan 11 2003 Tor Hveem <torh at trustix dot org> 4.3.0-3th
- added packages: openssl, cli, exif

* Fri Jan  3 2003 Erlend Midttun <erlendbm at trustix dot com> 4.3.0-2em
- Changed Req: imap to BuildReq: uw-imap-devel on -imap package
- New and improved php.ini file.  Slightly modified php.ini-recommended.

* Sat Dec 28 2002 Tor Hveem <torh at trustix dot org> 4.3.0-1th
- New upstream version: 4.3.0
- Removed tsrm patch
- Added new build requirements bzip2-devel, libapr-devel
- Readded imap module

* Thu Sep 26 2002 Erlend Midttun <erlendbm at trustix dot com> 4.2.3-2em
- Added buildreq flex.

* Wed Sep 11 2002 Erlend Midttun <erlendbm at trustix dot com> 4.2.3-1em
- New PHP.
- Now required Apache 2.

* Mon Mar 25 2002 Christian H. Toldnes <christht at trustix dot com>
- The old rfc1867.c didn't fix it. Applied a new patch.

* Thu Feb 28 2002 Christian H. Toldnes <christht at trustix dot com>
- Applied securitypatch. (rfc1867.c)

* Wed Sep 26 2001 Erlend Midttun <erlendbm at trustix dot com>
- Seems the previous mailsec patch was broken, trying again.

* Thu Jul 26 2001 Erlend Midttun <erlendbm at trustix dot com>
- Fixed a few dependencies.

* Thu Jul 19 2001 Oystein Viggen <oysteivi at trustix dot com>
- Add a fix from cvs to stop mail() from breaking safe mode.

* Mon Jul 16 2001 Oystein Viggen <oysteivi at trustix dot com>
- 4.0.6 didn't fix memlimit.  Added patch from the php team.

* Mon Jul  9 2001 Oystein Viggen <oysteivi at trustix dot com>
- Because of build problems, imap is no longer built as a module.

* Tue Jul  3 2001 Oystein Viggen <oysteivi at trustix dot com>
- define _noVersionedDependencies

* Mon Jul  2 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 4.0.6
- This new version fixes a bug with --enable-memory-limit

* Mon Jun 11 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 4.0.5

* Mon Mar 19 2001 Alexander Reelsen <ar at trustix dot com>
- Picked up 4.0.4pl1
- Created dynamic modules (and own packages) for imap, ldap, mysql and pgsql

* Wed Oct 18 2000 Per Ivar Paulsen <perp at trustix dot com>
- Update to 3.0.17. Removed syslog patch

* Wed May 3 2000 Per Ivar Paulsen <perp at trustix dot com>
- Update to php 3.0.16

* Sat Feb 26 2000 Lars Gaarden <larsg at trustix dot com>
- Picked up php 3.0.15

* Fri Feb 25 2000 Lars Gaarden <larsg at trustix dot com>
- Added Provides: php

* Tue Jan 25 2000 Per Ivar Paulsen <perp at trustix dot com>
- picked up php 3.0.14.
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS
- TODO: add better default configuration

* Wed Jan 6 2000 Per Ivar Paulsen <perp@paulsen.org>
- picked up php 3.0.13. And updated manual

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- pick up php3.ini

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- build against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.0.7.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to php 3.0.6, built against apache 1.3.4

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for apache 1.3.3

* Thu Oct 08 1998 Preston Brown <pbrown@redhat.com>
- updated to 3.0.5, fixes nasty bugs in 3.0.4.

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.0.4 and recompiled for apache 1.3.2

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- improvements; builds with apache-devel package installed.

* Tue Sep 01 1998 Preston Brown <pbrown@redhat.com>
- Made initial cut for PHP3.
